// ================================
// react 16:
// ================================

// import React from 'react';
// import ReactDOM from 'react-dom';
// import App from './App';

// ReactDOM.render(<App />, document.getElementById('container'));


// ================================
// React 18:
// ================================

// IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT:
// App MUST be started with the approach used below if running
// on React 18! Otherwise it will behave as if it ran on React 16!

import React from 'react';
import { createRoot } from 'react-dom/client';
import App from './App';

const container = document.getElementById('container');
const root = createRoot(container);
root.render(<App />);